List Collection Tag Rules

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-reference.arta.io/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Arta API Reference MCP server": {
    "url": "https://api-reference.arta.io/mcp"
  }
}

Close
GET /collection_tag_rules

Retrieve a paginated collection of all tag rules configured for your organization.

Collection Tag Rules allow organizations to automatically segment Collections into distinct lists based on shipment tags. This feature is particularly useful for organizations with multiple sellers who don't have dashboard access, enabling automated organization of collections without manual intervention.

Headers

  • Authorization string Required

    Authorize your API calls with an Arta API token

Query parameters

  • page integer

    Page number of the results to fetch.

    Default value is 1.

  • page_size integer

    Results per page (max 50)

    Default value is 20.

Responses

  • 200 application/json

    A collection of Collection Tag Rule records

    Hide headers attributes Show headers attributes
    • content-type string
    • x-arta-request-id string

      A unique identifier for the Arta API call

    Hide response attributes Show response attributes object
    • items array[object]
      Hide items attributes Show items attributes object
      • created_at string(date-time)

        A NaiveDatetime-formatted timestamp describing when the resource was created with microsecond precision

      • id string(uuid)

        The ID of the collection tag rule in UUID format

      • pattern string

        The pattern to match against shipment tags. For exact match, this should be the exact tag name. For pattern_match, supports * wildcard.

        Maximum length is 100.

      • tag_id uuid

        The ID of the Tag this rule applies to. If provided, the rule will only apply to shipments with this tag.

      • updated_at string(date-time)

        A NaiveDatetime-formatted timestamp describing when the resource was last updated with microsecond precision

    • metadata object
      Hide metadata attributes Show metadata attributes object
      • page integer(int64)
      • page_size integer(int64)
      • total_count integer(int64)
GET /collection_tag_rules
curl \
 --request GET 'https://api.arta.io/collection_tag_rules' \
 --header "Authorization: ARTA_APIKey s0e1t2e3c4a5s6t7r8o9n10o11m12y"
Response examples (200)
# Headers
content-type: application/json
x-arta-request-id: FkBjuxbwLLTx4RoAARkx

# Payload
{
  "items": [
    {
      "created_at": "2024-09-25T19:17:54.871490",
      "id": "f7e4b35b-5131-47c2-9a88-238bd6e62e2d",
      "pattern": "seller-a-*",
      "tag_id": "my-tag",
      "updated_at": "2024-09-25T19:19:01.648283"
    }
  ],
  "metadata": {
    "page": 1,
    "page_size": 20,
    "total_count": 1
  }
}